@if($teacher)

<div class="alert mt-3 mb-3" style="border: 2px solid #e9f0f3 !important; width: 100%; display: -webkit-inline-box;  font-size: 12px !important; font-weight:bold !important; color: black; border-radius: 6px;">
    <div class="col-md-12">
        <div class="row">
            <div class="col-md-10">
                <span style="margin: 0px;">{{$teacher->first_name}} {{$teacher->last_name}}</span></br>
                <span class="text-muted" style="font-weight: 500;">{{$teacher->designation}}</span></br>
                @if(isset($teacher->department_name))
                    <span class="text-muted" style="font-weight: 500;">{{cn($teacher,'department_name.name','')}}</span>
                @else
                    <span class="text-muted" style="font-weight: 500;">{{$teacher->others_department}}</span>
                @endif

                <span>.</span>
                <span class="text-muted" style="font-weight: 500;">{{$teacher->university_name}}</span>
            </div>

            <div class="col-md-2 mt-3">
                <span class="btn btn3 open_modal_page" data-url="{{route('modal-get',['name'=>'apply_student_proposal','id'=>$teacher->id])}}"  data-title="Submit your Proposal" style="margin-left: 1.1rem;">Apply</span>
            </div>
        </div>
    </div>
</div>
@else
<div class="alert mt-3 mb-3" style="border: 2px solid #e9f0f3 !important; width: 100%; display: -webkit-inline-box;  font-size: 12px !important; font-weight:bold !important; color: black; border-radius: 6px;">
    <div class="col-md-12">
        <div class="row">
            <div class="col-md-12 text-center">
                <span class="text-danger">No data found!</span>
            </div>
        </div>
    </div>
</div>

@endif

{{-- @include('web.layouts.modal') --}}
<script>
    $(function(){
        // $('.apply_student').on('click', function(e){
        //     e.preventDefault();
        //     var id = $(this).data('id');
        //     var form_data={
        //         _token: "{{ csrf_token() }}",
        //         id: id
        //     }
        //     swal(
        //     //     {
        //     //     title: "Are you sure?",
        //     //     text: "Do you want to send email!",
        //     //     type: "warning",
        //     //     showCancelButton: true,
        //     //     confirmButtonClass: "btn-success",
        //     //     cancelButtonClass: "btn-danger",
        //     //     confirmButtonText: "Yes",
        //     //     cancelButtonText: "No"
        //     // },
        //     function(isConfirm){
        //         if(isConfirm){
        //             $.post("{{ route('ajax-post', ['name'=>'send_apply_student_teacher_email']) }}", form_data, function(res){

        //             if(res.msg) pop_up_msg(res.msg);

        //             }).fail(function(err){

        //             });
        //         }
        //     });
        // });
    });
</script>
